grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.7-8-ge9a541c


From: Paolo Bonzini
Subject: grep branch, master, updated. v2.7-8-ge9a541c
Date: Thu, 23 Sep 2010 11:54:24 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  e9a541c3955b06ef6ae88a97ae525bf30af91c1d (commit)
       via  99d3c7e1308beb1ce9a3c535ca4b6581ebd653ee (commit)
      from  0fdedfb32dda12320e10df7973b9f5e72d2ac66b (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=e9a541c3955b06ef6ae88a97ae525bf30af91c1d


commit e9a541c3955b06ef6ae88a97ae525bf30af91c1d
Author: Paolo Bonzini <address@hidden>
Date:   Tue Sep 21 17:31:08 2010 +0200

    tests: add testcase for previous fix
    
    * tests/inconsistent-ranges: New.
    * tests/Makefile.am (TESTS): Add it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index f66543f..3db1cfb 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -59,6 +59,7 @@ TESTS =                                               \
   help-version                                 \
   ignore-mmap                                  \
   include-exclude                              \
+  inconsistent-range                            \
   khadafy                                      \
   max-count-vs-context                         \
   options                                      \
diff --git a/tests/inconsistent-range b/tests/inconsistent-range
new file mode 100644
index 0000000..e28acde
--- /dev/null
+++ b/tests/inconsistent-range
@@ -0,0 +1,17 @@
+#!/bin/sh
+# This would fail for grep-2.6
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+printf '00a\n00g\n00z\n00A\n00G\n00Z\n'      > in || framework_failure_
+
+fail=0
+
+for LOC in en_US.UTF-8 en_US zh_CN $LOCALE_FR_UTF8 C; do
+  out1=out1-$LOC
+  LC_ALL=$LOC grep -E '(.)\1[A-Z]' in > $out1 || fail=1
+  out2=out2-$LOC
+  LC_ALL=$LOC grep -E '[A-Z]' in > $out2 || fail=1
+  compare $out1 $out2 || fail=1
+done
+
+Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=99d3c7e1308beb1ce9a3c535ca4b6581ebd653ee


commit e9a541c3955b06ef6ae88a97ae525bf30af91c1d
Author: Paolo Bonzini <address@hidden>
Date:   Tue Sep 21 17:31:08 2010 +0200

    tests: add testcase for previous fix
    
    * tests/inconsistent-ranges: New.
    * tests/Makefile.am (TESTS): Add it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index f66543f..3db1cfb 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -59,6 +59,7 @@ TESTS =                                               \
   help-version                                 \
   ignore-mmap                                  \
   include-exclude                              \
+  inconsistent-range                            \
   khadafy                                      \
   max-count-vs-context                         \
   options                                      \
diff --git a/tests/inconsistent-range b/tests/inconsistent-range
new file mode 100644
index 0000000..e28acde
--- /dev/null
+++ b/tests/inconsistent-range
@@ -0,0 +1,17 @@
+#!/bin/sh
+# This would fail for grep-2.6
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+printf '00a\n00g\n00z\n00A\n00G\n00Z\n'      > in || framework_failure_
+
+fail=0
+
+for LOC in en_US.UTF-8 en_US zh_CN $LOCALE_FR_UTF8 C; do
+  out1=out1-$LOC
+  LC_ALL=$LOC grep -E '(.)\1[A-Z]' in > $out1 || fail=1
+  out2=out2-$LOC
+  LC_ALL=$LOC grep -E '[A-Z]' in > $out2 || fail=1
+  compare $out1 $out2 || fail=1
+done
+
+Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 NEWS                     |    6 ++++++
 src/dfa.c                |   27 ++++++++++++++++-----------
 tests/Makefile.am        |    1 +
 tests/inconsistent-range |   17 +++++++++++++++++
 4 files changed, 40 insertions(+), 11 deletions(-)
 create mode 100644 tests/inconsistent-range


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]